> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a group of contact lists

> For a given account, return a set of contact lists that you specify with multiple listId parameters. This will return only the metadata on these lists and not all of the contacts in the list.



## OpenAPI

````yaml specs/legacy/v1/crm-lists-v1-contacts.json GET /contacts/v1/lists/batch
openapi: 3.0.0
info:
  title: CRM Contact Lists API v1
  version: 1.0.0
  description: Legacy CRM Contact Lists API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists/batch:
    get:
      summary: Get a group of contact lists
      description: >-
        For a given account, return a set of contact lists that you specify with
        multiple listId parameters. This will return only the metadata on these
        lists and not all of the contacts in the list.
      operationId: getcontactsv1listsbatch
      parameters:
        - name: listId
          in: query
          required: true
          description: >-
            An integer that represents the list IDs that you want returned to
            your call. You can specify as many "listId" parameters as you wish
            to return multiple lists at once. Any list IDs that are invalid will
            be ignored.
          schema:
            type: array
            items:
              type: integer
          style: form
          explode: true
      responses:
        '200':
          description: Successful response with group of contact lists
          content:
            application/json:
              schema:
                type: object
                properties:
                  lists:
                    type: array
                    items:
                      $ref: '#/components/schemas/ContactList'
components:
  schemas:
    ContactList:
      type: object
      properties:
        listId:
          type: integer
        name:
          type: string
        dynamic:
          type: boolean
        listType:
          type: string
          enum:
            - STATIC
            - DYNAMIC
        portalId:
          type: integer
        createdAt:
          type: integer
        updatedAt:
          type: integer
        internalListId:
          type: integer
        deleteable:
          type: boolean
        metaData:
          type: object
          properties:
            processing:
              type: string
            size:
              type: integer
            error:
              type: string
            lastProcessingStateChangeAt:
              type: integer
            lastSizeChangeAt:
              type: integer
        filters:
          type: array
          items:
            type: array
            items:
              type: object

````